#!/bin/bash

set -e

coverage erase

cp gaia/hospital_list_settings.py.template gaia/hospital_list_settings.py
cp gaia/settings_ci.py gaia/settings_local.py
cp gaia/rpcd.json.demo gaia/rpcd.json
	
HELIOS_ROUTE_TABLE_FOR_DEBUG="$(<gaia/rpcd.json)" coverage run --source='.'  manage.py test tests -v 3
coverage report --omit='.env/*'
coverage html -d coverage_html --omit='.env/*'

exit $?
